package com.xxfc.rv.mvp.presenter;

import com.xxfc.rv.db.table.ChatMessage;

import java.io.File;
import java.util.ArrayList;

public interface IChatPresenter {

    void setChatInfo(String fromUserId, String fromUserName, String toUserId, String toUserName);

    void sendVoice(String filePath, int timeLen); // 发送语音

    void clickPicPicker(boolean isCamera);

    void openAlbum(); // 打开 相册

    void clickCamera(); // 调用相机

    void sendText(String text); // 发送语音

    void realDial(int type,String meetUrl) ; // 发送语音

    void sendMessage(final ChatMessage message); // 发送消息

    void sendMsgBroad(ChatMessage message); // 发送消息广播

    void album(ArrayList<String> stringArrayListExtra, boolean isOriginal);

    void sendImage(File file); // 发送图片

    void registerImReceiver();
}
